package tourplaner.ui;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import org.apache.log4j.Logger;
import tourplaner.business.LogHelper;

import java.io.IOException;

/**
 * Presenter des Tourplaners
 */
public class PresenterMain {

    /**
     * Startet die Gui
     * @param primaryStage Stage der GUI
     *
     */
    public PresenterMain(Stage primaryStage){
        Parent root = null;
        try {
            root = FXMLLoader.load(getClass().getResource("tourplaner.fxml"));
            primaryStage.setTitle("DerGeorg Touren Planer");
            primaryStage.setScene(new Scene(root, 600, 600));
            primaryStage.show();
        } catch (IOException e) {
            e.printStackTrace();
            LogHelper.error(e.getMessage(), "PresenterMain");
        }

    }
}
