package tourplaner.business;

import javafx.stage.Stage;
import org.apache.log4j.Logger;
import tourplaner.data.DbConnect;
import tourplaner.ui.PresenterMain;

import java.io.IOException;

/**
 * Haupt Logik des Tourplaners
 */
public class TourPlaner{
    private Logger logger;

    /**
     * Startet alle bennötigten Komponenten
     * @param primaryStage Stage für den Presenter
     */
    public TourPlaner(Stage primaryStage){
        String startText = ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "start", "message");
        LogHelper.info(startText, "TourPlaner");
        PresenterMain presenterMain = new PresenterMain(primaryStage);  // Start Presenter/GUI
        new DbConnect().init();

    }
}
